GNU bug report logs - #36810
26.2; package.el; package-refresh-contents, Bad Request (http over https)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: gnu@HIDDEN; merged with #36725, #36749, #36873, #37453; dated Thu, 25 Jul 2019 17:14:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 36725 36749 36810 36873 37453. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36725 36749 36810 36873. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36725 36749 36810 36873. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug Marked as fixed in versions 26.2.90. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36810 <at> debbugs.gnu.org:


Received: (at 36810) by debbugs.gnu.org; 25 Jul 2019 21:20:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 25 17:20:27 2019
Received: from localhost ([127.0.0.1]:40524 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqlA3-0001qX-A8
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 17:20:27 -0400
Received: from mout.kundenserver.de ([217.72.192.74]:44143)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu@HIDDEN>) id 1hqlA0-0001qG-Pz
 for 36810 <at> debbugs.gnu.org; Thu, 25 Jul 2019 17:20:25 -0400
Received: from [192.168.1.24] ([82.71.25.83]) by mrelayeu.kundenserver.de
 (mreue108 [212.227.15.179]) with ESMTPSA (Nemesis) id
 1M1Hi8-1ho0Gu1Xty-002lPn for <36810 <at> debbugs.gnu.org>; Thu, 25 Jul 2019
 23:20:18 +0200
Subject: Re: bug#36810: 26.2; package.el; package-refresh-contents, Bad
 Request (http over https)
To: 36810 <at> debbugs.gnu.org
References: <2e1fffbb-6826-628a-e598-fcdb3ce9d89b@HIDDEN>
 <85ef2ej9uq.fsf@HIDDEN>
From: gnu@HIDDEN
Message-ID: <c0633762-3437-5633-c676-f8fc49a413df@HIDDEN>
Date: Thu, 25 Jul 2019 22:20:18 +0100
MIME-Version: 1.0
In-Reply-To: <85ef2ej9uq.fsf@HIDDEN>
Content-Type: text/html; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:66gYZfBzYOxEr/+VGs5MPikH403Zu1WrAGUZaBnWlx+fAAutD3N
 CMotHYUgPLJuPg8LuTMl8DF0UQbO3qk/rsx+roAQnli+rT+Cl6oCa+5LHIrQEDY5AAs2DXv
 XSeNt5sUkCpRaeaeTXtDB37OOhz0aqcFsp7vlahG5THcGU8Yyk5etvLmzLSDmvur7uD0qHb
 qaY/l562V4tijPfr5V7WA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:PqIGNH3lAA8=:+AnuQHywvsHaOWt9IpD8HN
 lPZkmcEg3o4qX5GWs4AaQAkeNWuFV8AiZjvgUhy2XyzngS2QAE5FvdfHHK21/Mr8VwHDWLJYU
 JlnCwT5qzfYGjEeVfWdAMSbxEPLEoPgnDqdnWdp+vXsUZCfm8pp7j8QYYQwznsXFP0za9eNJK
 BCL4oVQpxCMAGgVp4OzMxd0OOHQX3C3sglmrqQinbTjRHHNUdv/6DEKF35DTkMXZrK+5sR6sj
 6qbObrxQnOICceAaiG6qeUI80+uMr2bX/8vU0r4Wt/+B4aOU14eUru9U7sWT77I+SNKCZ4d9O
 od2zC8Rn1zSFPdqp1wpHzBVRNEmmDo4SObU7hMh/BUTGxEZPkDisXNNsl7wZV5xi00WRM9Ef+
 /B9opjZK6OzjfrnB8tKxqdN8SoW4d6xqZ4dDY+oitSHmEJUdiVF4/DoDwpdy+E3Gr9F4kAEoa
 XHq6h5VjqAPNseqt92LDjRE2ORRWv50A4ZHmqkJYRJK9UgGgaS5jq7TQ5Uo64fgE2B3qNWeSY
 su8wX/Mi1vwuFbsSeDulPt0fbqmqRQg8UeLVoCrewRzMiZPenEu/0XjzYvMVsD4Q0znzHQboa
 Wk07xO3HtxAN/PxR3+2/Z6aEsbWPt34kOqOSEp0TK27oNPaLfy4hj8nmr69WVczUVt5zO7wCW
 fiwTXFzoHN1njUvK6hiJ18yBsBTZ2e0uIhTnuTAtDJkk0LV4VBf55kp9zyplNC11wjODglS3j
 6KbKA/C7AJZh53J4PWYrWCw93BBV93Bd+Pdj6GRkATjedqgeRTy6dkSjpDU=
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 36810
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  </head>
  <body text="#000000" bgcolor="#FFFFFF">
    <p>Thanks Eli &amp; Noam,</p>
    <p> yes, setting gnutls-algorithm-priority did the trick.</p>
    <p>Apologies for not having spotted the similar existing bugs.</p>
    <p>g.</p>
    <p><br>
    </p>
  </body>
</html>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36810; Package emacs. Full text available.
Merged 36725 36749 36810. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36810 <at> debbugs.gnu.org:


Received: (at 36810) by debbugs.gnu.org; 25 Jul 2019 17:35:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 25 13:35:34 2019
Received: from localhost ([127.0.0.1]:40381 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqheQ-0004SL-2v
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 13:35:34 -0400
Received: from mail-io1-f41.google.com ([209.85.166.41]:34702)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1hqheN-0004S1-L8; Thu, 25 Jul 2019 13:35:32 -0400
Received: by mail-io1-f41.google.com with SMTP id k8so99023690iot.1;
 Thu, 25 Jul 2019 10:35:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=t5iBu+IstshpZFPRW0nMRPW2ZcoRM4Mkzlc5Z+kkNfc=;
 b=kS8vFkpjD4EHSDW/vZwvp3Qhpxb212BGoMpXcV1135PdmYuwP2SM7kWas99RgP1zvI
 yrKTmXlW2Y7Mrj5pP4hEAwuSsHlsTJ4n8jOZpKAHm1WLjxX/Hj57lP8yGazcIXhUjgng
 5MESMVt7c3vgrljV8vsqmTTvcOC/2wUSXlmcaZWDaXN+uAqIPP2J8QClfWFIUHv/heu7
 TyeeWdrKKqCwrnyMIPt+D9Rn6QwUzKqcin59VHukeYEsMGxxRl6p8O0vk0IKSf6dq1U6
 wTEONFfmivr/zZ8+DkXZAyM2RZMob/hvIrJCbhq4u+vInN8yJ5RbWRvip1V4qrGDHk0h
 J8ig==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=t5iBu+IstshpZFPRW0nMRPW2ZcoRM4Mkzlc5Z+kkNfc=;
 b=LxmnK2oynxG4lL2c+nC+RuyDvU06rbC3LPhpmZVlbjNanvjeJAqilzQO+uf7mn1Y7e
 3+epfu4cLgGb24PeeS0PbVx+CtdlA4OEXvufstMBfU3WOr+h8Gv5Kx12JKIm3/ZVolaF
 IN1UMPOfX8axTe3dYd3dVImMEnIwCDxmiOi5z8Bs5tuzztmpOQKwQm82Jw+7e5m6I6eM
 i1Th6GGxhXm3dlBYOQL+JaYP+ffkB4a1Lxpyadkq1nSAvWsSzU++PC8Si4eqxDprpqLJ
 iOdxdcDDsoVo4QXyBa2BkWnUDw1ceRQKOJkzKru3D5+CK3EDl00jvumcLsp0pBc8KePX
 2Cgw==
X-Gm-Message-State: APjAAAUkcxdFH6QoWvGmU7RcYAWz5MndEiIGjGdeR36ufpMfp+OzpHuK
 NrVBUAaAfplVE2oTdxkgUugc97yJ
X-Google-Smtp-Source: APXvYqwXENR1p6LTESYPM/s0+wh7PJTc2/gBak+uj5DCGkToljr7D+ZkxxMQUqu196ypqmJcgHrDxg==
X-Received: by 2002:a5d:928a:: with SMTP id s10mr56957849iom.29.1564076125901; 
 Thu, 25 Jul 2019 10:35:25 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.51.196])
 by smtp.gmail.com with ESMTPSA id j14sm42525809ioa.78.2019.07.25.10.35.25
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 25 Jul 2019 10:35:25 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: gnu@HIDDEN
Subject: Re: bug#36810: 26.2; package.el;
 package-refresh-contents, Bad Request (http over https)
References: <2e1fffbb-6826-628a-e598-fcdb3ce9d89b@HIDDEN>
Date: Thu, 25 Jul 2019 13:35:25 -0400
In-Reply-To: <2e1fffbb-6826-628a-e598-fcdb3ce9d89b@HIDDEN>
 (gnu@HIDDEN's message of "Thu, 25 Jul 2019 17:42:57 +0100")
Message-ID: <85ef2ej9uq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.92 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36810
Cc: 36810 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

merge 36810 36725
quit

gnu@HIDDEN writes:

> Replicate with:
> emacs -Q
> M-x package-initialize RET
> M-x set-variable RET debug-on-error RET t RET
> package-refresh-contents
> => Debugger entered--Lisp error: (file-error
> "https://elpa.gnu.org/packages/archive-contents" "Bad Request")
>
> In wireshark I observe a TLS1.2 session with elpa.gnu.org, terminated
> from localhost, then another connection established to port 443 on
> elpa.gun.org but no TLS setup and then a straight HTTP GET request (for
> /packages/archive-contents).
> Server responds 400 (Bad Request):
> "Your browser sent a request that this server could not understand.
> Reason: You're speaking plain HTTP to an SSL-enabled server port."

I believe this is another case of Bug#36725/36749/34341.  It should work
in 26.2.90 pretest.  As a workaround, doing

    (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")

seems to help (it somehow affects the timing so as to avoid the bug).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36810; Package emacs. Full text available.

Message received at 36810 <at> debbugs.gnu.org:


Received: (at 36810) by debbugs.gnu.org; 25 Jul 2019 17:30:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 25 13:30:59 2019
Received: from localhost ([127.0.0.1]:40375 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqhZy-0004L1-SU
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 13:30:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50341)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hqhZw-0004Kl-Se
 for 36810 <at> debbugs.gnu.org; Thu, 25 Jul 2019 13:30:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47649)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hqhZq-00050C-2V; Thu, 25 Jul 2019 13:30:50 -0400
Received: from [176.228.60.248] (port=1736 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hqhZo-0006ya-Ju; Thu, 25 Jul 2019 13:30:49 -0400
Date: Thu, 25 Jul 2019 20:30:40 +0300
Message-Id: <835znqnhrz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: gnu@HIDDEN
In-reply-to: <2e1fffbb-6826-628a-e598-fcdb3ce9d89b@HIDDEN>
 (gnu@HIDDEN)
Subject: Re: bug#36810: 26.2; package.el;
 package-refresh-contents, Bad Request (http over https)
References: <2e1fffbb-6826-628a-e598-fcdb3ce9d89b@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36810
Cc: 36810 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: gnu@HIDDEN
> Date: Thu, 25 Jul 2019 17:42:57 +0100
> 
> Replicate with:
> emacs -Q
> M-x package-initialize RET
> M-x set-variable RET debug-on-error RET t RET
> package-refresh-contents
> => Debugger entered--Lisp error: (file-error
> "https://elpa.gnu.org/packages/archive-contents" "Bad Request")
> 
> In wireshark I observe a TLS1.2 session with elpa.gnu.org, terminated
> from localhost, then another connection established to port 443 on
> elpa.gun.org but no TLS setup and then a straight HTTP GET request (for
> /packages/archive-contents).
> Server responds 400 (Bad Request):
> "Your browser sent a request that this server could not understand.
> Reason: You're speaking plain HTTP to an SSL-enabled server port."

See bug#36749 for a possible solution.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36810; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jul 2019 17:13:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 25 13:13:56 2019
Received: from localhost ([127.0.0.1]:40353 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqhJT-0003s6-Da
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 13:13:55 -0400
Received: from lists.gnu.org ([209.51.188.17]:38887)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu@HIDDEN>) id 1hqgpd-0000w9-7h
 for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 12:43:05 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55591)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <gnu@HIDDEN>) id 1hqgpb-0002Fo-Ii
 for bug-gnu-emacs@HIDDEN; Thu, 25 Jul 2019 12:43:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gnu@HIDDEN>) id 1hqgpZ-0005Nz-VE
 for bug-gnu-emacs@HIDDEN; Thu, 25 Jul 2019 12:43:03 -0400
Received: from mout.kundenserver.de ([212.227.126.130]:49315)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <gnu@HIDDEN>) id 1hqgpZ-0005Jk-Hc
 for bug-gnu-emacs@HIDDEN; Thu, 25 Jul 2019 12:43:01 -0400
Received: from [192.168.1.24] ([82.71.25.83]) by mrelayeu.kundenserver.de
 (mreue010 [212.227.15.163]) with ESMTPSA (Nemesis) id
 1MLAAs-1i8lwh0fuE-00IBxS for <bug-gnu-emacs@HIDDEN>; Thu, 25 Jul 2019
 18:42:57 +0200
To: bug-gnu-emacs@HIDDEN
From: gnu@HIDDEN
Subject: 26.2; package.el; package-refresh-contents, Bad Request (http over
 https)
Message-ID: <2e1fffbb-6826-628a-e598-fcdb3ce9d89b@HIDDEN>
Date: Thu, 25 Jul 2019 17:42:57 +0100
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-GB
X-Provags-ID: V03:K1:aZlEt9fv/FJVlNExEqxEOFwxmrD1zjL4gkVVTsNjF+2V0MqJJOF
 IFsKSTEcjSP0BfhEskOSYtsQ5cIKm6bgkzTksDyjpPwtkdTAh2oWgkj8wft1EkHvzvPfnTt
 GtPctS7dIeGXBbF05JB2aSCXlGDKVF7l7B4NuZkWG6NCqhcfU/qzv+QNReRcgIyU8EyJtBc
 x22I4f0X1tHBlSnPu82OA==
X-UI-Out-Filterresults: notjunk:1;V03:K0:cjobgq4ebuc=:qPXy0y4WkAmQFyOH+8bXF/
 PoHBXfNPqM/M63Vmm6r3XFPsM9KzL4ZNP5fC+pQHNss3zqOWGWuOmHe/2sknSuFHyiBRa1meZ
 Fbtj9fQBZycfHEHQDpuE1lk8J3sm5AKlzvf4O9zglj2eui0KrgZnFOug+Qic4oSyvMQiqlXFs
 pCECHaGLx04RvzoOpxw38GdSIKcgTgxzXMt9Ki314iwRS4Zx4g0Y9l6iGZbgNVkM9kIs4GHV1
 6yRerR2kCtfPWSzFhuplARL8EDaATUoFMwnk7gD8HYxhZGn9IfMC/pxr1PLyG2Qfjl9WtWwe1
 XTO8+7qkD6qmz7HxUm27rL5qw3AICYDp1vimEl9tLjNNlwyPg+ntfWVGVt0g2+MDz5z6OZVrl
 T448MiMLANITkM7ykOxGLe7BlY2+WaVqSwVpvlrf0z+l2s9+ZK6SBB+s+t1PdbEoYiarsecpn
 21z134VJlb1mcdAs772UFWWPZRcF3gjdG3qQ6gpeTehDJiS9B1q/XkSqtJrzEXNG7X8KEyFKU
 zCcW2lIeSsTIS3WjHjZEp6hJS0MmCkMaFmill3GZpLqI1JJBs0CuDmyNSE9RRcay6JXK5XzWh
 J8jCzWH55MVDvaZSRNSpKQKtRdT/5H79Vf8dzKmWR2nIFT3fJWLt2W8I8r+SY2GooirnYF29a
 D+fLMAaOSxmm/ist+epjSegR8cUBc4UQdUqTRRlJzfNnoZ8CM9uqZ9wsvtJcYebpv98zBvCB2
 NVHoP9oMIzFpk6DTkd+HLZ2jx0HzBr7vabzAqZI9UhroVo09KJ29N2Hhvxo=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 212.227.126.130
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 25 Jul 2019 13:13:54 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Replicate with:
emacs -Q
M-x package-initialize RET
M-x set-variable RET debug-on-error RET t RET
package-refresh-contents
=> Debugger entered--Lisp error: (file-error
"https://elpa.gnu.org/packages/archive-contents" "Bad Request")

In wireshark I observe a TLS1.2 session with elpa.gnu.org, terminated
from localhost, then another connection established to port 443 on
elpa.gun.org but no TLS setup and then a straight HTTP GET request (for
/packages/archive-contents).
Server responds 400 (Bad Request):
"Your browser sent a request that this server could not understand.
Reason: You're speaking plain HTTP to an SSL-enabled server port."





In GNU Emacs 26.2 (build 1, x86_64-slackware-linux-gnu, GTK+ Version 3.18.9)
  of 2019-07-17 built on hive64.slackware.lan
Windowing system distributor 'The X.Org Foundation', version 11.0.11803000
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
You can run the command 'package-initialize' with M-x p-ini RET
Importing package-keyring.gpg...done
Contacting host: elpa.gnu.org:443
Package refresh done
Entering debugger...

Configured using:
  'configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
  --program-prefix= --program-suffix= --mandir=/usr/man
  --infodir=/usr/info --without-gconf --without-gsettings --with-x
  --with-x-toolkit=gtk3 --build=x86_64-slackware-linux 'CFLAGS=-O2
  -fPIC''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GLIB NOTIFY ACL
GNUTLS LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM
THREADS LCMS2

Important settings:
   value of $LC_COLLATE: C
   value of $LC_CTYPE: en_GB
   value of $LC_MESSAGES: en_GB
   value of $LC_MONETARY: en_GB
   value of $LC_NUMERIC: en_GB
   value of $LC_TIME: en_GB
   value of $LANG:
   locale-coding-system: iso-latin-1-unix

Major mode: Debugger

Minor modes in effect:
   tooltip-mode: t
   global-eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   buffer-read-only: t
   line-number-mode: t
   transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message dired dired-loaddefs format-spec
rfc822 mml mml-sec epa derived gnus-util rmail rmail-loaddefs mm-decode
mm-bodies mm-encode mailabbrev gmm-utils mailheader sendmail cl-print
debug mail-utils network-stream starttls url-http tls gnutls mail-parse
rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr url-gw nsm rmc
puny url-cache url-auth url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mailcap epg cus-edit wid-edit
cus-start cus-load thingatpt help-fns radix-tree help-mode finder-inf
package easymenu epg-config url-handlers url-parse auth-source cl-seq
eieio eieio-core cl-macs eieio-loaddefs password-cache url-vars seq
byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib elec-pair
time-date mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 130287 9116)
  (symbols 48 23742 1)
  (miscs 40 54 139)
  (strings 32 38503 1177)
  (string-bytes 1 1018090)
  (vectors 16 18079)
  (vector-slots 8 546762 8140)
  (floats 8 64 53)
  (intervals 56 386 241)
  (buffers 992 13)
  (heap 1024 24811 5005))





Acknowledgement sent to gnu@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36810; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.